Package org.apache.calcite.avatica

# Class ColumnMetaData.AvaticaType

java.lang.Object
org.apache.calcite.avatica.ColumnMetaData.AvaticaType

Direct Known Subclasses:
  `ColumnMetaData.ArrayType`, `ColumnMetaData.ScalarType`, `ColumnMetaData.StructType`

Enclosing class:
  ColumnMetaData

public static class ColumnMetaData.AvaticaType extends Object
Base class for a column type.

## Field Summary

Fields
Modifier and Type
Field
Description
`final int`
`id`
`final String`
`name`
`final ColumnMetaData.Rep`
`rep`
The type of the field that holds the value.

## Constructor Summary

Constructors
Constructor
Description
`AvaticaType(int id, String name, ColumnMetaData.Rep rep)`

## Method Summary

Modifier and Type
Method
Description
`String`
`columnClassName()`
`boolean`
`equals(Object o)`
`static ColumnMetaData.AvaticaType`
`fromProto(org.apache.calcite.avatica.proto.Common.AvaticaType proto)`
`String`
`getName()`
`int`
`hashCode()`
`ColumnMetaData.AvaticaType`
`setRep(ColumnMetaData.Rep rep)`
`org.apache.calcite.avatica.proto.Common.AvaticaType`
`toProto()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### id

public final int id

### name

public final String name

### rep

public final ColumnMetaData.Rep rep
The type of the field that holds the value. Not a JDBC property.

## Constructor Details

### AvaticaType

public AvaticaType(int id, String name, ColumnMetaData.Rep rep)

## Method Details

### columnClassName

public String columnClassName()

### getName

public String getName()

### setRep

public ColumnMetaData.AvaticaType setRep(ColumnMetaData.Rep rep)

### toProto

public org.apache.calcite.avatica.proto.Common.AvaticaType toProto()

### fromProto

public static ColumnMetaData.AvaticaType fromProto(org.apache.calcite.avatica.proto.Common.AvaticaType proto)

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`